Subject: Re: UNLEAK(), leak checking in the default tests etc.

From: SZEDER Gábor <[email-masked]>
Date: Thu, 10 Jun 2021 21:01:21 +0200

On Wed, Jun 09, 2021 at 04:38:52PM +0200, Ævar Arnfjörð Bjarmason wrote:
>     GIT_VALGRIND_MODE=memcheck GIT_VALGRIND_OPTIONS="--leak-check=full --errors-for-leak-kinds=definite --error-exitcode=123" <SOME TEST> --valgrind
> 
> But as t/README notes it implies --verbose so we can't currently run it
> under the test harness (although I have out-of-tree patches to fix that
> in general).

'--valgrind' doesn't imply '--verbose' if '--verbose-log' was given,
and that works with the test harness just fine; see 88c6e9d31c
(test-lib: --valgrind should not override --verbose-log, 2017-09-05).